package com.bonus.canteen.core.allocation.advise.model;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class AllocPageDecorationModel {
   @ApiModelProperty("位置id")
   private @NotNull(
   message = "位置id 不能为空"
) Integer positionId;
   @ApiModelProperty("功能标识")
   private @NotNull(
   message = "功能标识 不能为空"
) Integer functionId;
   @ApiModelProperty("功能名称")
   private @NotBlank(
   message = "功能名称 不能为空"
) String functionName;
   @ApiModelProperty("内容类型")
   private Integer contentType;

   public Integer getPositionId() {
      return this.positionId;
   }

   public Integer getFunctionId() {
      return this.functionId;
   }

   public String getFunctionName() {
      return this.functionName;
   }

   public Integer getContentType() {
      return this.contentType;
   }

   public void setPositionId(final Integer positionId) {
      this.positionId = positionId;
   }

   public void setFunctionId(final Integer functionId) {
      this.functionId = functionId;
   }

   public void setFunctionName(final String functionName) {
      this.functionName = functionName;
   }

   public void setContentType(final Integer contentType) {
      this.contentType = contentType;
   }

}
